> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opensink.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cron Job Run

> Get details of a specific run

Required scope: `cron_job_runs:read`, `cron_job_runs:all`, or `all:all`



## OpenAPI

````yaml api-reference/openapi.json get /api/v1/cron-job-runs/{id}
openapi: 3.0.0
info:
  title: OpenSink API
  description: API documentation for OpenSink
  version: 1.0.0
servers:
  - url: https://api.opensink.com
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: Sink
    description: Sink management endpoints
  - name: Sink Item
    description: Sink item endpoints
  - name: Cron Job
    description: Cron job scheduling endpoints
  - name: Cron Job Run
    description: Cron job execution history
  - name: Agent
    description: Agent management endpoints
  - name: Agent Config
    description: Agent configuration endpoints
  - name: Agent Session
    description: Agent session endpoints
  - name: Agent Session Input Request
    description: Agent session input request endpoints
  - name: Agent Session Activity
    description: Agent session activity log endpoints
paths:
  /api/v1/cron-job-runs/{id}:
    get:
      tags:
        - Cron Job Run
      summary: Get Cron Job Run
      description: |-
        Get details of a specific run

        Required scope: `cron_job_runs:read`, `cron_job_runs:all`, or `all:all`
      operationId: getCron Job Run
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
          description: Cron Job Run ID
      responses:
        '200':
          description: A single execution of a cron job
          content:
            application/json:
              schema:
                type: object
                description: A single execution of a cron job
                properties:
                  id:
                    type: string
                    format: uuid
                    description: Unique identifier
                  job_id:
                    type: string
                    format: uuid
                    description: Parent job ID
                  response_status:
                    type: integer
                    description: HTTP response status code
                    nullable: true
                  response_headers:
                    type: object
                    description: Response headers
                    nullable: true
                  status:
                    type: string
                    enum:
                      - PENDING
                      - RUNNING
                      - SUCCESS
                      - FAILURE
                    description: Run status
                  error_message:
                    type: string
                    description: Error message if failed
                    nullable: true
                  execution_time_ms:
                    type: integer
                    description: Execution time in milliseconds
                    nullable: true
                  started_at:
                    type: string
                    format: date-time
                    description: When execution started
                    nullable: true
                  finished_at:
                    type: string
                    format: date-time
                    description: When execution finished
                    nullable: true
                  workspace_id:
                    type: string
                    format: uuid
                    description: Workspace ID
                  created_at:
                    type: string
                    format: date-time
                    description: Creation timestamp
                  updated_at:
                    type: string
                    format: date-time
                    description: Last update timestamp
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unauthorized
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient permissions
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication

````